%define upstream_name	 Net-Amazon
%define upstream_version 0.62

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Framework for accessing amazon.com via SOAP and XML/HTTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(LWP::UserAgent) >= 5.814.0
BuildRequires: perl(Log::Log4perl) >= 0.300.0
BuildRequires: perl(Time::HiRes) >= 1.0.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::Simple) >= 2.80.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Net::Amazon provides an object-oriented interface to amazon.com's
SOAP and XML/HTTP interfaces. This way it's possible to create applications
using Amazon's vast amount of data via a functional interface, without
having to worry about the underlying communication mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/Net
%{_mandir}


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.620.0-9pclos2017
- rebuild against updates

